Bug 146870 - don't reduce size of image when rotating
Summary: don't reduce size of image when rotating
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-Rotation (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-16 15:32 UTC by Mikolaj Machowski
Modified: 2016-06-30 11:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Machowski 2007-06-16 15:32:25 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

When you have picture 100x100 pixels and you will rotate it 45 degrees
Digikam forces you to reduce image to fit in original canvas of 100x100
pixels.  In effect real image is reduced to ca. 70x70 pixels. Instead
canvas should be increased to ca. 140x140 pixels to accommodate original
image in full size.
Comment 1 Mikolaj Machowski 2007-06-16 15:39:47 UTC
Well, filing it as a bug wasn't intentional but... I will leave that. Forced scaling down blurres image, reducing quality of it so it can be considered bug.
Comment 2 Andi Clemens 2008-07-23 17:03:07 UTC
Isn't this fixed? When I have an image of 200x200 pixels and I rotate it 45 degrees, the image becomes 283x283 pixels, so it actually increases the canvas. Or am I misunderstanding something now?
Comment 3 Mikolaj Machowski 2008-07-23 18:57:30 UTC
yes, thanks. I am using this so often and didn't even noticed. My only excuse is that I usually use this with fraction of 1 degree. 

Thanks Andi - and to one who fixed that of course :)